Subject: Re: [PATCH RFC] powerpc/powernv: sysfs entry to force full IPL reboot

From: Stewart Smith <[email-masked]>
Date: Fri, 23 Dec 2016 15:19:04 +1100

Michael Ellerman <[email-masked]> writes:
> Andrew Donnellan <[email-masked]> writes:
>
>> On 23/11/16 12:37, Andrew Donnellan wrote:
>>>> There's existing logic in kernel/reboot.c to handle a reboot= command
>>>> line parameter, which can set the reboot_mode, so my preference would be
>>>> that we use that.
>>>>
>>>> Currently we completely ignore the reboot_mode, so there's no backward
>>>> compatibility issue.
>>>>
>>>> It looks like the default is REBOOT_COLD, whatever that means. So I
>>>> think we could define that on powernv REBOOT_HARD means "do a full IPL".
>>>
>>> Sounds good.
>>
>> Thinking about this more - you can't change that at runtime. :(
>
> Yeah. Is that a problem? From my POV this is basically a "my firmware is
> broken" workaround, so you're going to want to set it permanently until
> you update your firmware.

The only real world application I can see wanting to do that is perhaps
HTX - where it chooses what kind of bootme run it wants. So, well, for
certain definitions of "real world".

-- 
Stewart Smith
OPAL Architect, IBM.